- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# Layer Class Reference

This reference page is linked to from the following overview topics: Scene Graph, Layers and Viewport Filters, 2D Layers, Layer Containers, Viewports, Viewport Filters.

Search for all occurrences

## Detailed Description

This is the base class for anything which is an element of a list with a fixed order and a transparency value assigned to each element.

Examples of derived classes are Mudbox's sculpt layers, paint layers, and viewport filters.

Definition at line 20 of file layer.h.

`#include <layer.h>`

Inheritance diagram for Layer:
[legend]

List of all members.

## Public Member Functions
virtual float | Transparency (void) const
| Returns the current transparency of the layer. 0 is fully transparent, 1 is opaque.
virtual void | SetTransparency (float fTransparency)
| Sets the transparency of the layer.
virtual Layer * | Children (void) const
| Returns a pointer to first child of this item, or NULL if this item has no children.
virtual Layer * | Next (void) const
| Returns a pointer to the next item with the same parent as this one.
virtual Layer * | Prev (void) const
| Returns a pointer to the previous item with the same parent as this one.
virtual class LayerContainer * | Container (void) const
| Returns a pointer to the object containing this layer.

## Member Function Documentation

virtual float Transparency | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns the current transparency of the layer. 0 is fully transparent, 1 is opaque.

Reimplemented in ViewPortFilter.

virtual void SetTransparency | ( | float | fTransparency | ) | `[virtual]`

Search for all occurrences

Sets the transparency of the layer.

Parameters:

  [in] | fTransparency | Transparency value, between 0 and 1. 0 is fully transparent, 1 is opaque.

Reimplemented in ViewPortFilter.

virtual Layer* Children | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns a pointer to first child of this item, or NULL if this item has no children.

Reimplemented in ViewPortFilter.

virtual Layer* Next | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns a pointer to the next item with the same parent as this one.

Reimplemented from Node.

Reimplemented in ViewPortFilter.

virtual Layer* Prev | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns a pointer to the previous item with the same parent as this one.

Reimplemented in ViewPortFilter.

virtual class LayerContainer* Container | ( | void |  | ) | const `[virtual]`

Search for all occurrences

Returns a pointer to the object containing this layer.

Reimplemented in ViewPortFilter.

The documentation for this class was generated from the following file:

- Mudbox/layer.h

Layer Layer Layer Layer Layer Layer Layer Layer Layer Layer
Layer Layer Layer Layer Layer Layer Layer Layer Layer Layer